SDL_GetAndroidInternalStoragePath(3)

NAME
SDL_GetAndroidInternalStoragePath - Get the path used for internal storage for this Android application.

SYNOPSIS
#include <SDL3/SDL_system.h>

const char * SDL_GetAndroidInternalStoragePath(void);

DESCRIPTION
This path is unique to your application and cannot be written to by other applications.

Your internal storage path is typically: /data/data/your.app.package/files.

This is a C wrapper over android.content.Context.getFilesDir():

https://developer.android.com/reference/android/content/Context#getFilesDir()

RETURN VALUE
Returns the path used for internal storage or NULL on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAndroidExternalStoragePath(3), SDL_GetAndroidCachePath(3)